Bug 64708 - fax2tiff seg faults
Summary: fax2tiff seg faults
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtiff (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-09 20:31 UTC by Owen Gray
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-14 13:04:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Owen Gray 2002-05-09 20:31:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
fax2tiff from libtiff 3.5.7 in rh7.3 seg faults when it attempts to convert a 
(any) fax file created by mgetty. 

fax2tiff from libtiff-3.5.4-0.5.2 in rh5.2 has no problem converting the same 
file


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run "/usr/bin/fax2tiff [options] faxfile where faxfile is a file created by 
mgetty and [options] are "-s -M -4" or any other legitimate options.
2.
3.
	

Actual Results:  [root@mail root]# /usr/bin/fax2tiff -s -M -
4  /var/spool/fax/incoming/fncd9d0feS2-416-696-6240.01
Segmentation fault
[root@mail root]# 

no fax.tif file was created

Expected Results:  no seg fault, and fax.tif file should have been created

Additional info:

Comment 1 Phil Knirsch 2002-05-14 13:04:01 UTC
Verified. Puzzeling though. Will look into it.

Read ya, Phil

Comment 2 Phil Knirsch 2002-05-15 10:06:47 UTC
Found the problem and fixed it. libtiff-3.5.7-3 has the fix.

Read ya, Phil

Comment 3 Owen Gray 2002-05-20 15:13:02 UTC
Thanks. I picked up the fixed version from rawhide and installed it, and 
fax2tiff is working for me now.


Note You need to log in before you can comment on or make changes to this bug.